From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/
Date: Wed, 7 Sep 2016 22:32:16 +0000 (UTC) [thread overview]
Message-ID: <1473287510.5c7bef543b7c7956efb1b5af38e45d99b16da253.eva@gentoo> (raw)
commit: 5c7bef543b7c7956efb1b5af38e45d99b16da253
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 7 22:11:08 2016 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Sep 7 22:31:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c7bef54
dev-util/gtk-doc: version bump to 1.25-r1
Switch to EAPI=6.
Fix dependencies per configure.
USE=debug is a "true" yes/no option, no the kind from Gnome.
Package-Manager: portage-2.3.0
dev-util/gtk-doc/gtk-doc-1.25-r1.ebuild | 110 ++++++++++++++++++++++++++++++++
1 file changed, 110 insertions(+)
diff --git a/dev-util/gtk-doc/gtk-doc-1.25-r1.ebuild b/dev-util/gtk-doc/gtk-doc-1.25-r1.ebuild
new file mode 100644
index 00000000..ab37796
--- /dev/null
+++ b/dev-util/gtk-doc/gtk-doc-1.25-r1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils elisp-common gnome2 python-single-r1 readme.gentoo-r1
+
+DESCRIPTION="GTK+ Documentation Generator"
+HOMEPAGE="http://www.gtk.org/gtk-doc/"
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+
+IUSE="debug doc emacs highlight vim"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.6:2
+ >=dev-lang/perl-5.18
+ dev-libs/libxslt
+ >=dev-libs/libxml2-2.3.6:2
+ ~app-text/docbook-xml-dtd-4.3
+ app-text/docbook-xsl-stylesheets
+ ~app-text/docbook-sgml-dtd-3.0
+ >=app-text/docbook-dsssl-stylesheets-1.40
+ emacs? ( virtual/emacs )
+ highlight? (
+ vim? ( || ( app-editors/vim app-editors/gvim ) )
+ !vim? ( dev-util/source-highlight )
+ )
+"
+DEPEND="${RDEPEND}
+ ~dev-util/gtk-doc-am-${PV}
+ app-text/yelp-tools
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ DOC_CONTENTS="gtk-doc does no longer define global key bindings for Emacs.
+ You may set your own key bindings for \"gtk-doc-insert\" and
+ \"gtk-doc-insert-section\" in your ~/.emacs file."
+ SITEFILE=61${PN}-gentoo.el
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # Remove global Emacs keybindings, bug #184588
+ eapply "${FILESDIR}"/${PN}-1.8-emacs-keybindings.patch
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+ if use vim; then
+ myconf="${myconf} $(use_with highlight highlight vim)"
+ else
+ myconf="${myconf} $(use_with highlight highlight source-highlight)"
+ fi
+
+ gnome2_src_configure \
+ --with-xml-catalog="${EPREFIX}"/etc/xml/catalog \
+ $(use_enable debug) \
+ ${myconf}
+}
+
+src_compile() {
+ gnome2_src_compile
+ use emacs && elisp-compile tools/gtk-doc.el
+}
+
+src_install() {
+ gnome2_src_install
+
+ python_fix_shebang "${ED}"/usr/bin/gtkdoc-depscan
+
+ # Don't install those files, they are in gtk-doc-am now
+ rm "${ED}"/usr/share/aclocal/gtk-doc.m4 || die "failed to remove gtk-doc.m4"
+ rm "${ED}"/usr/bin/gtkdoc-rebase || die "failed to remove gtkdoc-rebase"
+
+ if use doc; then
+ docinto doc
+ dodoc doc/*
+ docinto examples
+ dodoc examples/*
+ fi
+
+ if use emacs; then
+ elisp-install ${PN} tools/gtk-doc.el*
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ readme.gentoo_create_doc
+ fi
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ if use emacs; then
+ elisp-site-regen
+ readme.gentoo_print_elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2016-09-07 22:32 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-07 22:32 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-10-27 17:54 [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/ Arthur Zamarin
2021-06-04 3:12 Matt Turner
2021-05-31 17:43 Sergei Trofimovich
2021-04-18 4:28 Matt Turner
2021-02-18 8:27 Sam James
2021-02-18 7:29 Sam James
2021-02-17 18:42 Sam James
2021-02-17 15:56 Sergei Trofimovich
2021-02-17 14:21 Sam James
2021-02-17 13:54 Sam James
2021-02-17 1:01 Sam James
2021-02-16 19:20 Sam James
2021-02-16 19:17 Sergei Trofimovich
2021-02-14 21:06 Mart Raudsepp
2021-01-06 22:55 Fabian Groffen
2020-12-08 14:12 Matt Turner
2020-12-07 17:32 Matt Turner
2020-12-06 17:52 Matt Turner
2020-12-05 19:07 Matt Turner
2020-12-05 18:49 Matt Turner
2020-12-02 19:06 Sam James
2020-11-14 9:19 Mikle Kolyada
2020-10-11 11:53 Sergei Trofimovich
2020-09-07 18:17 Sam James
2020-09-07 5:50 Sam James
2020-08-29 22:15 Sam James
2020-08-29 19:54 Sam James
2020-08-19 8:31 Sergei Trofimovich
2020-08-16 2:53 Sam James
2020-08-12 15:50 Sam James
2020-07-11 13:34 Mart Raudsepp
2020-07-05 9:27 Sergei Trofimovich
2020-06-07 21:02 Mart Raudsepp
2020-06-03 15:32 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-04-22 14:25 Agostino Sarubbo
2020-04-22 8:44 Agostino Sarubbo
2020-04-22 8:41 Agostino Sarubbo
2020-01-26 8:41 Rémi Cardona
2019-10-22 6:22 Matt Turner
2019-10-21 19:43 Matt Turner
2018-12-17 18:36 Mart Raudsepp
2018-12-17 18:36 Mart Raudsepp
2018-08-26 6:56 Zac Medico
2018-06-08 11:24 Mikle Kolyada
2018-05-30 9:56 Mart Raudsepp
2017-08-26 10:07 Gilles Dartiguelongue
2016-12-06 20:27 Markus Meier
2016-11-04 9:15 Pacho Ramos
2016-07-30 9:34 Jeroen Roovers
2016-06-08 19:55 Markus Meier
2016-06-07 7:03 Tobias Klausmann
2016-03-24 11:40 Dennis Lamm
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1473287510.5c7bef543b7c7956efb1b5af38e45d99b16da253.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox